- Extending Qt Creator Manual
- EditorManagerPlaceHolder
- Extending Qt Creator Manual 8.0.2

# EditorManagerPlaceHolder Class

class Core::EditorManagerPlaceHolder

The EditorManagerPlaceHolder class is used to integrate an editor area into a mode. More...

Header: | #include <coreplugin/editormanager/editormanager.h>

- List of all members, including inherited members

## Public Functions

| EditorManagerPlaceHolder(QWidget *parent = nullptr)

## Detailed Description

Create an instance of EditorManagerPlaceHolder and integrate it into your mode widget's layout, to add the main editor area into your mode. The best place for the editor area is the central widget of a QMainWindow. Examples are the Edit and Debug modes.

## Member Function Documentation

### EditorManagerPlaceHolder::EditorManagerPlaceHolder(QWidget *parent = nullptr)

Creates an EditorManagerPlaceHolder with the specified parent.